#include "NumberFormatException.h"
#include <string.h>
//#include <iostream>

NumberFormatException::NumberFormatException(const char *message)
{
//    std::cout << "NumberFormatException(const char *) ";
    m_message = new char[strlen(message)+1];
    strcpy(m_message, message);
}


NumberFormatException::~NumberFormatException(void)
{
//    std::cout << "~NumberFormatException(void) ";
    delete[] m_message;
}

const char* NumberFormatException::what() const
{
    return m_message;
}
